#include<iostream>
using namespace std;
int main ()
{
    int L,m,n,counter=0;
    cin >> L >> m >> n;
    if (L<m)
    {
        cout << 0;
    }
    else
    {
        while (L>=0)
        {
            L=L-m;
            m=m+n;
            counter++;
        }
        cout << counter;
        return 0;
    }
}